payments.getSavedInfo
Get saved payment information
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Get saved payment information
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.getSavedInfo" \ -H "Content-Type: application/json" \ -d '{ "params": {} }'{ "result": { "_": "payments.savedInfo", "hasSavedCredentials": true, "savedInfo": { "_": "paymentRequestedInfo", "name": "string", "phone": "string", "email": "string", "shippingAddress": { "_": "postAddress", "streetLine1": "string", "streetLine2": "string", "city": "string", "state": "string", "countryIso2": "string", "postCode": "string" } } }}getResaleStarGifts
Get [collectible gifts](https://core.telegram.org/api/gifts#collectible-gifts) of a specific type currently on resale, see [here »](https://core.telegram.org/api/gifts#reselling-collectible-gifts) for more info. sort_by_price and sort_by_num are mutually exclusive, if neither are set results are sorted by the unixtime (descending) when their resell price was last changed. See [here »](https://core.telegram.org/api/gifts#sending-gifts) for detailed documentation on this method.
getSavedStarGift
Fetch info about specific [gifts](https://core.telegram.org/api/gifts) owned by a peer we control. Note that unlike what the name suggests, the method can be used to fetch both "saved" and "unsaved" gifts (aka gifts both pinned and not pinned to the profile).